@import 'src/_variables';

.crews_container {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  min-height: 100vh;
  margin-bottom: 100px;
  padding: 40px;
  .crew {
    display: flex;
    flex-direction: row;
    flex: 0 0 30%;
    max-width: 30%;
    gap: 20px;
    color: $secondaryGreyColor;
    .crew_img {
      width: 170px;
      height: 240px;
      cursor: pointer;
    }
    .crew_description {
      max-width: 100%;
      .crew_actor_name {
        margin: 0;
        color: $thirdGreyColor;
        font-size: 1.2rem;
        font-style: italic;
        cursor: pointer;
        border-bottom: 1px solid transparent;
        transition: border-bottom 0.5s ease-in-out;
        &:hover {
          border-bottom: 1px solid $thirdGreyColor;
        }
      }
      span {
        color: $secondaryGreyColor;
      }
      .cast_character_name {
        margin: 0;
        color: $thirdGreyColor;
        font-size: 1rem;
        font-style: italic;
      }
    }
  }
}
